import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:go_router/go_router.dart';
import 'package:syncrow_web/utils/constants/assets.dart';
import 'package:syncrow_web/utils/constants/routes_const.dart';

class NavigateHomeGridView extends StatelessWidget {
  const NavigateHomeGridView({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.end,
      children: [
        InkWell(
          onTap: () {
            context.go(RoutesConst.home);
          },
          child: SvgPicture.asset(
            height: 20,
            width: 20,
            Assets.grid,
          ),
        ),
        const SizedBox(
          width: 10,
        )
      ],
    );
  }
}
